rem Johan Van Barel 07-07-2007
rem Interval-Video for Canon A640

@title Interval Video
@param a Number of Videos
@default a 2

@param b Video length (Min) 
@default b 0
@param c Video length (Sec) 
@default c 10

@param d Interval (Min)
@default d 0
@param e Interval (Sec)
@default e 10

@param f Initial Delay (Sec)
@default f 1

if a<2 then let a=2
if b<0 then let b=0
if c<0 then let c=0
if d<0 then let d=0
if e<0 then let e=0
if f<0 then let f=0

t=60000*b+1000*c
i=60000*d+1000*e

if t<1000 then let t=1000
if i<2000 then let i=2000

print "Videos:"; a
print "Total Time:", ((t*a)+(i*(a-1)))/60000; "Min", ((t*a)+(i*(a-1)))%60000/1000; "Sec"

sleep f*1000

print "Video 1 of", a
click "shoot_full"
click "shoot_full"
sleep t
click "shoot_full"

for s=2 to a
    print "Wait",d;"Min",e;"Sec"
    sleep i

    print "Video", s, "of", a
    click "shoot_full"
    sleep t
    click "shoot_full"
next s

end
