rem Johan Van Barel 23-07-2007
rem Focus-Bracketing for Canon A640

@title Focus Bracket (Set Focus Manual)
@param a Number of Pics (Odd)
@default a 5
@param b Focus Step Size (x6)
@default b 1
@param c Initial Delay (Sec)
@default c 1

a=a/2
if a<1 then let a=1
if b<1 then let b=1
if c<0 then let c=0

print "Pics:"; a*2+1 , "Step:"; b

sleep c*1000

get_focus f

for s=-a to a
    g=f
    if s<0 then gosub "negative"
    if s>0 then gosub "positive"
    print "Pic", s+a+1, "Focus", g; "mm"
    if g<62 then let g=62
    if g>65535 then let g=65535
    set_focus g
    shoot
next s
set_focus f

end

:negative
    for i=s to -1
        g=6*g/(b+6)
    next i
return

:positive
    for i=1 to s
        g=g*b/6+g
    next i
return
