rem Johan Van Barel 02-04-2008
rem Motion Detect Video for Canon A640

@title MD Video

@param m Video length (Min) 
@default m 0
@param s Video length (Sec) 
@default s 10

@param a Cols
@default a 6
@param b Rows
@default b 4
rem Treshold: 10=Lightning, 12=Sunshine, 24=Cloudy, 36=Dawn/Dusk
@param c Threshold (0-255)
@default c 24
@param d Interval (mSec)
@default d 1
@param e Delay (.1 Sec)
@default e 16
@param f BlockSize
@default f 8
@param g Mode(U=0,Y=1,V=2)
@default g 1
@param h Initial Delay (Sec)
@default h 1

if m<0 then m=0
if s<0 then s=0
if a<1 then a=1
if b<1 then b=1
if c<0 then c=0
if e<1 then e=1
if f<1 then f=1
if g<0 then g=0
if g>5 then g=5
if h<0 then h=0

l=60000*m+1000*s
if l<1000 then l=1000

e=e*100

sleep h*1000

rem time in msecs md will detect
x=5000

i=0
rem click "shoot_full"

while 1
    t=0
    md_detect_motion a, b, g, x, d, c, 1, t, 0, 1, 1, a, b, 0, f, e
    if t>0 then
        i=i+1 
        print "Video", i, "(blocks="; t; ")"
        click "shoot_full"
        sleep l
        click "shoot_full"
    endif
wend